package shub.dpm;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class parameter_subs_0 {


public static RemoteObject  _activity_create(RemoteObject _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (parameter) ","parameter",2,parameter.mostCurrent.activityBA,parameter.mostCurrent,23);
if (RapidSub.canDelegate("activity_create")) { return shub.dpm.parameter.remoteMe.runUserSub(false, "parameter","activity_create", _firsttime);}
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 23;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(4194304);
 BA.debugLineNum = 25;BA.debugLine="Activity.LoadLayout(\"Parameter\")";
Debug.ShouldStop(16777216);
parameter.mostCurrent._activity.runMethodAndSync(false,"LoadLayout",(Object)(RemoteObject.createImmutable("Parameter")),parameter.mostCurrent.activityBA);
 BA.debugLineNum = 26;BA.debugLine="If File.Exists(File.DirInternal ,\"DPM.ini\") = Tru";
Debug.ShouldStop(33554432);
if (RemoteObject.solveBoolean("=",parameter.mostCurrent.__c.getField(false,"File").runMethod(true,"Exists",(Object)(parameter.mostCurrent.__c.getField(false,"File").runMethod(true,"getDirInternal")),(Object)(RemoteObject.createImmutable("DPM.ini"))),parameter.mostCurrent.__c.getField(true,"True"))) { 
 BA.debugLineNum = 27;BA.debugLine="txtUrl.Text=AllgFnkt.Get_Params(\"URL\")";
Debug.ShouldStop(67108864);
parameter.mostCurrent._txturl.runMethod(true,"setText",BA.ObjectToCharSequence(parameter.mostCurrent._allgfnkt.runMethod(true,"_get_params" /*RemoteObject*/ ,parameter.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("URL")))));
 BA.debugLineNum = 28;BA.debugLine="txtTimeout.Text=AllgFnkt.Get_Params(\"TIMER\")";
Debug.ShouldStop(134217728);
parameter.mostCurrent._txttimeout.runMethod(true,"setText",BA.ObjectToCharSequence(parameter.mostCurrent._allgfnkt.runMethod(true,"_get_params" /*RemoteObject*/ ,parameter.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("TIMER")))));
 };
 BA.debugLineNum = 30;BA.debugLine="IntIme.ShowKeyboard(txtUrl)";
Debug.ShouldStop(536870912);
parameter.mostCurrent._intime.runVoidMethod ("ShowKeyboard",(Object)((parameter.mostCurrent._txturl.getObject())));
 BA.debugLineNum = 31;BA.debugLine="txtUrl.RequestFocus";
Debug.ShouldStop(1073741824);
parameter.mostCurrent._txturl.runVoidMethod ("RequestFocus");
 BA.debugLineNum = 32;BA.debugLine="Activity.Title=\"Einstellungen\"";
Debug.ShouldStop(-2147483648);
parameter.mostCurrent._activity.runMethod(false,"setTitle",BA.ObjectToCharSequence("Einstellungen"));
 BA.debugLineNum = 33;BA.debugLine="End Sub";
Debug.ShouldStop(1);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_pause(RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (parameter) ","parameter",2,parameter.mostCurrent.activityBA,parameter.mostCurrent,38);
if (RapidSub.canDelegate("activity_pause")) { return shub.dpm.parameter.remoteMe.runUserSub(false, "parameter","activity_pause", _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 38;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(32);
 BA.debugLineNum = 40;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (parameter) ","parameter",2,parameter.mostCurrent.activityBA,parameter.mostCurrent,35);
if (RapidSub.canDelegate("activity_resume")) { return shub.dpm.parameter.remoteMe.runUserSub(false, "parameter","activity_resume");}
 BA.debugLineNum = 35;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(4);
 BA.debugLineNum = 36;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btnparamcancel_click() throws Exception{
try {
		Debug.PushSubsStack("btnParamCancel_Click (parameter) ","parameter",2,parameter.mostCurrent.activityBA,parameter.mostCurrent,49);
if (RapidSub.canDelegate("btnparamcancel_click")) { return shub.dpm.parameter.remoteMe.runUserSub(false, "parameter","btnparamcancel_click");}
 BA.debugLineNum = 49;BA.debugLine="Private Sub btnParamCancel_Click";
Debug.ShouldStop(65536);
 BA.debugLineNum = 50;BA.debugLine="IntIme.HideKeyboard";
Debug.ShouldStop(131072);
parameter.mostCurrent._intime.runVoidMethod ("HideKeyboard",parameter.mostCurrent.activityBA);
 BA.debugLineNum = 51;BA.debugLine="Activity.Finish";
Debug.ShouldStop(262144);
parameter.mostCurrent._activity.runVoidMethod ("Finish");
 BA.debugLineNum = 52;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btnparamsave_click() throws Exception{
try {
		Debug.PushSubsStack("btnParamSave_Click (parameter) ","parameter",2,parameter.mostCurrent.activityBA,parameter.mostCurrent,42);
if (RapidSub.canDelegate("btnparamsave_click")) { return shub.dpm.parameter.remoteMe.runUserSub(false, "parameter","btnparamsave_click");}
 BA.debugLineNum = 42;BA.debugLine="Private Sub btnParamSave_Click";
Debug.ShouldStop(512);
 BA.debugLineNum = 43;BA.debugLine="IntIme.HideKeyboard";
Debug.ShouldStop(1024);
parameter.mostCurrent._intime.runVoidMethod ("HideKeyboard",parameter.mostCurrent.activityBA);
 BA.debugLineNum = 44;BA.debugLine="AllgFnkt.Save_Parameter(txtUrl.Text,False)";
Debug.ShouldStop(2048);
parameter.mostCurrent._allgfnkt.runVoidMethod ("_save_parameter" /*RemoteObject*/ ,parameter.mostCurrent.activityBA,(Object)(parameter.mostCurrent._txturl.runMethod(true,"getText")),(Object)(parameter.mostCurrent.__c.getField(true,"False")));
 BA.debugLineNum = 45;BA.debugLine="AllgFnkt.Save_Parameter(txtTimeout.Text,True)";
Debug.ShouldStop(4096);
parameter.mostCurrent._allgfnkt.runVoidMethod ("_save_parameter" /*RemoteObject*/ ,parameter.mostCurrent.activityBA,(Object)(parameter.mostCurrent._txttimeout.runMethod(true,"getText")),(Object)(parameter.mostCurrent.__c.getField(true,"True")));
 BA.debugLineNum = 46;BA.debugLine="Activity.Finish";
Debug.ShouldStop(8192);
parameter.mostCurrent._activity.runVoidMethod ("Finish");
 BA.debugLineNum = 47;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _globals() throws Exception{
 //BA.debugLineNum = 12;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 16;BA.debugLine="Private txtUrl As B4XView";
parameter.mostCurrent._txturl = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");
 //BA.debugLineNum = 17;BA.debugLine="Private txtTimeout As B4XView";
parameter.mostCurrent._txttimeout = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");
 //BA.debugLineNum = 18;BA.debugLine="Private btnParamSave As B4XView";
parameter.mostCurrent._btnparamsave = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");
 //BA.debugLineNum = 19;BA.debugLine="Private Label2 As B4XView";
parameter.mostCurrent._label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");
 //BA.debugLineNum = 20;BA.debugLine="Private IntIme As IME";
parameter.mostCurrent._intime = RemoteObject.createNew ("anywheresoftware.b4a.objects.IME");
 //BA.debugLineNum = 21;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 10;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}